import request from "@/utils/request";

export function getrealTime(params) {
  return request({
    url: "/taicangpop/tc/tcUpdate",
    method: "get",
    params,
  });
}

export function getYj(params) {
  return request({
    url: "/taicangpop/tc/getYj",
    method: "get",
    params,
  });
}

export function getMapCount(params) {
  return request({
    url: "/taicangpop/tc/getMapCount",
    method: "get",
    params,
  });
}

export function getBShop(params) {
  return request({
    url: "/taicangpop/bShop",
    method: "get",
    params,
  });
}

export function updateBShop(params) {
  return request({
    url: "/taicangpop/bShop/update",
    method: "post",
    params,
  });
}

export function getBShopById(id) {
  return request({
    url: `/taicangpop/bShop/${id}`,
    method: "get",
  });
}
export function getBShoptype() {
  return request({
    url: `/taicangpop/bShop/Shoptype`,
    method: "get",
  });
}

export function getBShopstatus() {
  return request({
    url: `/taicangpop/bShop/Shopstatus`,
    method: "get",
  });
}
